{
  "accUserMode" : 2,
  "caption" : "测试实体",
  "codeName" : "TESTEditView_drawer",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView_drawer.json",
  "height" : 1000,
  "name" : "TESTEditView_drawer",
  "openMode" : "DRAWER_LEFT",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "EditView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "Main",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSFORMS/Main.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom",
      "actionName" : "GETDRAFTFROM",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraftfrom",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft",
      "actionName" : "GetDraft",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "loaddraft",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "GetDraft"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "logicName" : "主编辑表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "testname",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "id" : "type",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      }
    }, {
      "id" : "amount",
      "dataType" : 6,
      "getPSAppDEField" : {
        "name" : "AMOUNT",
        "codeName" : "Amount"
      }
    }, {
      "id" : "field",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      }
    }, {
      "id" : "field10",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD10",
        "codeName" : "Field10"
      }
    }, {
      "id" : "field2",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD2",
        "codeName" : "Field2"
      }
    }, {
      "id" : "field11",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD11",
        "codeName" : "Field11"
      }
    }, {
      "id" : "field12",
      "dataType" : 25
    }, {
      "id" : "field3",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD3",
        "codeName" : "Field3"
      }
    }, {
      "id" : "field4",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD4",
        "codeName" : "Field4"
      }
    }, {
      "id" : "field5",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FIELD5",
        "codeName" : "Field5"
      }
    }, {
      "id" : "updateman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "id" : "updatedate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "createdate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "id" : "createman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      }
    }, {
      "id" : "testid",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "测试实体基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "caption" : "测试实体名称",
          "codeName" : "testname",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "testname",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 200,
            "name" : "testname"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "类型",
          "codeName" : "type",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "type",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TYPE",
            "codeName" : "Type"
          },
          "getPSEditor" : {
            "editorType" : "RADIOBUTTONLIST",
            "name" : "type",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/TestType.json"
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "caption" : "金额",
          "codeName" : "amount",
          "dataType" : 6,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "amount",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "AMOUNT",
            "codeName" : "Amount"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "amount",
            "precision" : 2
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "unitName" : "元",
          "valueFormat" : "YYYY-MM",
          "allowEmpty" : true,
          "enableUnitName" : true,
          "showCaption" : true
        }, {
          "caption" : "更多显示",
          "codeName" : "field",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "field",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD",
            "codeName" : "Field"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "field"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getShowMoreMgrPSDEFormDetail" : {
            "modelref" : true,
            "id" : "group1"
          },
          "showMoreMode" : 1,
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSUIActionGroup" : {
          "codeName" : "A6913ed9bd0c3e7d614",
          "name" : "界面行为组",
          "getPSUIActionGroupDetails" : [ {
            "caption" : "百度",
            "detailType" : "DEUIACTION",
            "name" : "u5ee2086",
            "getPSSysImage" : {
              "glyph" : "xf00c@FontAwesome",
              "cssClass" : "fa fa-check"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEDATA",
              "caption" : "百度",
              "codeName" : "openBaidu",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "openBaidu",
              "htmlPageUrl" : "https://www.baidu.com/",
              "name" : "百度",
              "timeout" : 60000,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openBaidu",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : true,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "getCapPSLanguageRes" : {
              "defaultContent" : "编辑",
              "lanResTag" : "TBB.TEXT.*.EDIT",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.EDIT]",
              "refFlag" : true
            },
            "caption" : "编辑",
            "detailType" : "DEUIACTION",
            "name" : "u1feafb4",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "getCapPSLanguageRes" : {
                "defaultContent" : "编辑",
                "lanResTag" : "TBB.TEXT.*.EDIT",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.EDIT]",
                "refFlag" : true
              },
              "caption" : "编辑",
              "codeName" : "Edit",
              "fullCodeName" : "Edit",
              "name" : "表格界面_编辑操作",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "predefinedType" : "GRIDVIEW_EDITACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "编辑",
                "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.EDIT]",
                "refFlag" : true
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Edit",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "编辑",
              "lanResTag" : "TBB.TOOLTIP.*.EDIT",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.EDIT]",
              "refFlag" : true
            },
            "addSeparator" : true,
            "showCaption" : true,
            "showIcon" : false
          }, {
            "detailType" : "DEUIACTION",
            "name" : "u4c6267d",
            "getPSSysImage" : {
              "cssClass" : "fa-solid fa-delete-left"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "defaultContent" : "删除",
                "lanResTag" : "TBB.TEXT.*.REMOVE",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.REMOVE]",
                "refFlag" : true
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "删除",
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.REMOVE]",
                "refFlag" : true
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "删除",
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.REMOVE]",
              "refFlag" : true
            },
            "addSeparator" : true,
            "showCaption" : false,
            "showIcon" : true
          } ],
          "uniqueTag" : "TEST__A6913ed9bd0c3e7d614"
        },
        "showMoreMode" : 2,
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "codeName" : "tabpanel1",
        "detailStyle" : "DEFAULT",
        "detailType" : "TABPANEL",
        "name" : "tabpanel1",
        "getPSDEFormTabPages" : [ {
          "caption" : "分页1",
          "codeName" : "tabpage1",
          "detailStyle" : "DEFAULT",
          "detailType" : "TABPAGE",
          "name" : "tabpage1",
          "getPSDEFormDetails" : [ {
            "caption" : "属性10",
            "codeName" : "field10",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "field10",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "FIELD10",
              "codeName" : "Field10"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "field10"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          }, {
            "actionType" : "UIACTION",
            "getCapPSLanguageRes" : {
              "defaultContent" : "保存并关闭",
              "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[EDITVIEW.SAVEANDCLOSE]",
              "refFlag" : true
            },
            "caption" : "保存并退出",
            "codeName" : "button1",
            "contentWidth" : 150.0,
            "detailStyle" : "DEFAULT",
            "detailType" : "BUTTON",
            "name" : "button1",
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "form_button1"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL",
              "width" : 150,
              "widthMode" : "PX"
            },
            "getPSSysImage" : {
              "glyph" : "xf1b2@FontAwesome",
              "cssClass" : "fa fa-cube"
            },
            "getPSUIAction" : {
              "getCapPSLanguageRes" : {
                "defaultContent" : "保存并关闭",
                "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[EDITVIEW.SAVEANDCLOSE]",
                "refFlag" : true
              },
              "caption" : "保存并关闭",
              "codeName" : "SaveAndExit",
              "fullCodeName" : "SaveAndExit",
              "name" : "编辑界面_保存并退出操作",
              "getPSSysImage" : {
                "cssClass" : "sx-tb-saveandclose"
              },
              "predefinedType" : "EDITVIEW_SAVEANDEXITACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "保存并关闭",
                "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[EDITVIEW.SAVEANDCLOSE]",
                "refFlag" : true
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "SaveAndExit",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "保存并退出",
            "width" : 150.0,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        }, {
          "caption" : "分页2",
          "codeName" : "tabpage2",
          "detailStyle" : "DEFAULT",
          "detailType" : "TABPAGE",
          "name" : "tabpage2",
          "getPSDEFormDetails" : [ {
            "caption" : "属性2",
            "codeName" : "field2",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "field2",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "FIELD2",
              "codeName" : "Field2"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 100,
              "name" : "field2"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        }
      }, {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "启用条件测试",
        "codeName" : "grouppanel1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "grouppanel1",
        "getPSDEFormDetails" : [ {
          "caption" : "无",
          "codeName" : "field11",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 0,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "field11",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD11",
            "codeName" : "Field11"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "field11"
          },
          "getPSLayoutPos" : {
            "colLG" : 6,
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "不配置",
          "codeName" : "field12",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "fieldName" : "books",
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "field12",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "field12"
          },
          "getPSLayoutPos" : {
            "colLG" : 6,
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "建立",
          "codeName" : "field3",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 1,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "field3",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD3",
            "codeName" : "Field3"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "field3"
          },
          "getPSLayoutPos" : {
            "colLG" : 6,
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "更新",
          "codeName" : "field4",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 2,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "field4",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD4",
            "codeName" : "Field4"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "field4"
          },
          "getPSLayoutPos" : {
            "colLG" : 6,
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "属性5",
          "codeName" : "field5",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "field5",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "FIELD5",
            "codeName" : "Field5"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "field5"
          },
          "getPSLayoutPos" : {
            "colLG" : 6,
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      }, {
        "codeName" : "druipart1",
        "detailStyle" : "DEFAULT",
        "detailType" : "DRUIPART",
        "name" : "druipart1",
        "getPSAppView" : {
          "accUserMode" : 2,
          "caption" : "测试实体",
          "codeName" : "TESTGridView",
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTGridView.json",
          "funcViewMode" : "MDATAVIEW",
          "gridRowActiveMode" : 2,
          "name" : "TESTGridView",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSAppModule" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
          },
          "getPSAppViewEngines" : [ {
            "engineCat" : "VIEW",
            "engineType" : "GridView",
            "name" : "engine"
          } ],
          "getPSAppViewLogics" : [ {
            "logicTrigger" : "CUSTOM",
            "logicType" : "APPUILOGIC",
            "name" : "newdata",
            "getPSAppUILogic" : {
              "actionAfterWizard" : "DEFAULT",
              "logicType" : "PREDEFINED",
              "name" : "新建数据",
              "getNewDataPSAppView" : {
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
                  "viewType" : "DEEDITVIEW"
                }
              },
              "getPSAppUILogicRefViews" : [ {
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
                  "viewType" : "DEEDITVIEW"
                }
              } ],
              "viewLogicType" : "APP_NEWDATA",
              "batchAddOnly" : false,
              "enableBatchAdd" : false,
              "enableWizardAdd" : false
            }
          }, {
            "logicTrigger" : "CUSTOM",
            "logicType" : "APPUILOGIC",
            "name" : "opendata",
            "getPSAppUILogic" : {
              "logicType" : "PREDEFINED",
              "name" : "打开数据",
              "getOpenDataPSAppView" : {
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
                  "viewType" : "DEEDITVIEW"
                }
              },
              "getPSAppUILogicRefViews" : [ {
                "getRefPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
                  "viewType" : "DEEDITVIEW"
                }
              } ],
              "viewLogicType" : "APP_OPENDATA",
              "editMode" : true
            }
          } ],
          "getPSAppViewRefs" : [ {
            "name" : "EDITDATA",
            "realTitle" : "测试实体编辑视图",
            "getRefPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
              "viewType" : "DEEDITVIEW"
            }
          }, {
            "name" : "NEWDATA",
            "realTitle" : "测试实体编辑视图",
            "getRefPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
              "viewType" : "DEEDITVIEW"
            }
          } ],
          "getPSControls" : [ {
            "aggMode" : "NONE",
            "codeName" : "Main",
            "columnEnableFilter" : 2,
            "columnEnableLink" : 2,
            "controlType" : "GRID",
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSGRIDS/Main.json",
            "getFetchPSControlAction" : {
              "modelref" : true,
              "id" : "fetch",
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "groupMode" : "NONE",
            "hookEventNames" : [ "点击" ],
            "logicName" : "主表格",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlHandler" : {
              "getPSHandlerActions" : [ {
                "actionName" : "GETTEMP",
                "actionType" : "DEACTION",
                "dataAccessAction" : "READ",
                "name" : "load",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "CREATETEMP",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "create",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "UPDATETEMP",
                "actionType" : "DEACTION",
                "dataAccessAction" : "UPDATE",
                "name" : "update",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "REMOVETEMP",
                "actionType" : "DEACTION",
                "dataAccessAction" : "DELETE",
                "name" : "remove",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionName" : "GETDRAFTTEMP",
                "actionType" : "DEACTION",
                "dataAccessAction" : "CREATE",
                "name" : "loaddraft",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionType" : "DEDATASET",
                "name" : "fetch",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              } ],
              "userDRAction" : "READ",
              "enableDEFieldPrivilege" : false,
              "id" : "数据表格处理器"
            },
            "getPSControlLogics" : [ {
              "eventNames" : "点击",
              "logicTag" : "grid",
              "logicType" : "APPDEUILOGIC",
              "name" : "member1",
              "getPSAppDEUILogic" : {
                "modelref" : true,
                "id" : "UILogic1"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "eventNames" : "点击",
              "logicTag" : "grid",
              "logicType" : "APPDEUILOGIC",
              "name" : "member2",
              "getPSAppDEUILogic" : {
                "modelref" : true,
                "id" : "UILogic1"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            }, {
              "logicTag" : "grid",
              "logicType" : "PFPLUGIN",
              "name" : "member3",
              "timer" : 333,
              "triggerType" : "TIMER"
            }, {
              "logicTag" : "grid",
              "logicType" : "SCRIPT",
              "name" : "member5",
              "scriptCode" : "eeeee",
              "triggerType" : "CUSTOM"
            } ],
            "getPSControlParam" : {
              "autoLoad" : true,
              "showBusyIndicator" : true,
              "id" : "GRID"
            },
            "getPSDEGridColumns" : [ {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "测试实体名称",
              "codeName" : "testname",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "testname",
              "excelCaption" : "测试实体名称",
              "name" : "testname",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              },
              "getPSDEUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "caption" : "向导编辑",
                "codeName" : "editWizard",
                "getFrontPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTWizardView.json",
                  "viewType" : "DEWIZARDVIEW"
                },
                "frontProcessType" : "TOP",
                "fullCodeName" : "TEST_editWizard",
                "name" : "向导编辑",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                },
                "timeout" : 60000,
                "uIActionMode" : "FRONT",
                "uIActionTag" : "editWizard",
                "uIActionType" : "DEUIACTION",
                "id" : "editWizard@TEST"
              },
              "width" : 150,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "FRONT",
              "caption" : "类型",
              "codeName" : "type",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "type",
              "excelCaption" : "类型",
              "name" : "type",
              "noPrivDisplayMode" : 1,
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/TestType.json"
              },
              "getPSAppDEField" : {
                "name" : "TYPE",
                "codeName" : "Type"
              },
              "width" : 100,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "更新时间",
              "codeName" : "updatedate",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "updatedate",
              "excelCaption" : "更新时间",
              "name" : "updatedate",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "UPDATEDATE",
                "codeName" : "UpdateDate"
              },
              "valueFormat" : "YYYY-MM-DD HH:mm:ss",
              "width" : 150,
              "widthUnit" : "PX",
              "enableSort" : true
            }, {
              "align" : "LEFT",
              "cLConvertMode" : "NONE",
              "caption" : "金额",
              "codeName" : "amount",
              "columnType" : "DEFGRIDCOLUMN",
              "dataItemName" : "amount",
              "excelCaption" : "金额",
              "name" : "amount",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "AMOUNT",
                "codeName" : "Amount"
              },
              "unitName" : "元",
              "width" : 100,
              "widthUnit" : "PX",
              "enableSort" : true,
              "enableUnitName" : true
            }, {
              "align" : "RIGHT",
              "caption" : "操作列",
              "codeName" : "uagridcolumn1",
              "columnType" : "UAGRIDCOLUMN",
              "name" : "uagridcolumn1",
              "noPrivDisplayMode" : 1,
              "getPSDEUIActionGroup" : {
                "codeName" : "A6913ed9bd0c3e7d614",
                "name" : "界面行为组",
                "getPSUIActionGroupDetails" : [ {
                  "caption" : "百度",
                  "detailType" : "DEUIACTION",
                  "name" : "u5ee2086",
                  "getPSSysImage" : {
                    "glyph" : "xf00c@FontAwesome",
                    "cssClass" : "fa fa-check"
                  },
                  "getPSUIAction" : {
                    "actionTarget" : "SINGLEDATA",
                    "caption" : "百度",
                    "codeName" : "openBaidu",
                    "frontProcessType" : "OPENHTMLPAGE",
                    "fullCodeName" : "openBaidu",
                    "htmlPageUrl" : "https://www.baidu.com/",
                    "name" : "百度",
                    "timeout" : 60000,
                    "uIActionMode" : "FRONT",
                    "uIActionTag" : "openBaidu",
                    "uIActionType" : "DEUIACTION"
                  },
                  "addSeparator" : true,
                  "showCaption" : true,
                  "showIcon" : true
                }, {
                  "getCapPSLanguageRes" : {
                    "defaultContent" : "编辑",
                    "lanResTag" : "TBB.TEXT.*.EDIT",
                    "lanResType" : "TBB.TEXT",
                    "name" : "工具栏按钮文本[*.EDIT]",
                    "refFlag" : true
                  },
                  "caption" : "编辑",
                  "detailType" : "DEUIACTION",
                  "name" : "u1feafb4",
                  "getPSUIAction" : {
                    "actionTarget" : "SINGLEKEY",
                    "getCapPSLanguageRes" : {
                      "defaultContent" : "编辑",
                      "lanResTag" : "TBB.TEXT.*.EDIT",
                      "lanResType" : "TBB.TEXT",
                      "name" : "工具栏按钮文本[*.EDIT]",
                      "refFlag" : true
                    },
                    "caption" : "编辑",
                    "codeName" : "Edit",
                    "fullCodeName" : "Edit",
                    "name" : "表格界面_编辑操作",
                    "getPSSysImage" : {
                      "glyph" : "xf044@FontAwesome",
                      "cssClass" : "fa fa-edit"
                    },
                    "predefinedType" : "GRIDVIEW_EDITACTION",
                    "timeout" : 60000,
                    "getTooltipPSLanguageRes" : {
                      "defaultContent" : "编辑",
                      "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                      "lanResType" : "TBB.TOOLTIP",
                      "name" : "工具栏按钮提示[*.EDIT]",
                      "refFlag" : true
                    },
                    "uIActionMode" : "SYS",
                    "uIActionTag" : "Edit",
                    "uIActionType" : "DEUIACTION"
                  },
                  "getTooltipPSLanguageRes" : {
                    "defaultContent" : "编辑",
                    "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                    "lanResType" : "TBB.TOOLTIP",
                    "name" : "工具栏按钮提示[*.EDIT]",
                    "refFlag" : true
                  },
                  "addSeparator" : true,
                  "showCaption" : true,
                  "showIcon" : false
                }, {
                  "detailType" : "DEUIACTION",
                  "name" : "u4c6267d",
                  "getPSSysImage" : {
                    "cssClass" : "fa-solid fa-delete-left"
                  },
                  "getPSUIAction" : {
                    "actionTarget" : "MULTIKEY",
                    "getCapPSLanguageRes" : {
                      "defaultContent" : "删除",
                      "lanResTag" : "TBB.TEXT.*.REMOVE",
                      "lanResType" : "TBB.TEXT",
                      "name" : "工具栏按钮文本[*.REMOVE]",
                      "refFlag" : true
                    },
                    "caption" : "删除",
                    "codeName" : "Remove",
                    "fullCodeName" : "Remove",
                    "name" : "表格界面_删除操作",
                    "getPSSysImage" : {
                      "glyph" : "xf00d@FontAwesome",
                      "cssClass" : "fa fa-remove"
                    },
                    "predefinedType" : "GRIDVIEW_REMOVEACTION",
                    "timeout" : 60000,
                    "getTooltipPSLanguageRes" : {
                      "defaultContent" : "删除",
                      "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                      "lanResType" : "TBB.TOOLTIP",
                      "name" : "工具栏按钮提示[*.REMOVE]",
                      "refFlag" : true
                    },
                    "uIActionMode" : "SYS",
                    "uIActionTag" : "Remove",
                    "uIActionType" : "DEUIACTION"
                  },
                  "getTooltipPSLanguageRes" : {
                    "defaultContent" : "删除",
                    "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                    "lanResType" : "TBB.TOOLTIP",
                    "name" : "工具栏按钮提示[*.REMOVE]",
                    "refFlag" : true
                  },
                  "addSeparator" : true,
                  "showCaption" : false,
                  "showIcon" : true
                } ],
                "uniqueTag" : "TEST__A6913ed9bd0c3e7d614"
              },
              "width" : 100,
              "widthUnit" : "PX",
              "enableSort" : false
            } ],
            "getPSDEGridDataItems" : [ {
              "dataType" : 25,
              "name" : "testname",
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              }
            }, {
              "dataType" : 25,
              "name" : "type",
              "getPSAppDEField" : {
                "name" : "TYPE",
                "codeName" : "Type"
              }
            }, {
              "format" : "YYYY-MM-DD HH:mm:ss",
              "dataType" : 5,
              "name" : "updatedate",
              "getPSAppDEField" : {
                "name" : "UPDATEDATE",
                "codeName" : "UpdateDate"
              }
            }, {
              "dataType" : 6,
              "name" : "amount",
              "getPSAppDEField" : {
                "name" : "AMOUNT",
                "codeName" : "Amount"
              }
            }, {
              "dataType" : 25,
              "name" : "srfkey",
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              }
            }, {
              "dataType" : 25,
              "name" : "srfdataaccaction",
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              },
              "dataAccessAction" : true
            }, {
              "dataType" : 25,
              "name" : "srfmajortext",
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              }
            } ],
            "getPSDEGridEditItems" : [ {
              "caption" : "测试实体标识",
              "codeName" : "srfkey",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "name" : "srfkey",
              "getPSAppDEField" : {
                "name" : "TESTID",
                "codeName" : "TESTId"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "srfkey"
              },
              "allowEmpty" : true
            } ],
            "pagingSize" : 20,
            "getRemovePSControlAction" : {
              "actionName" : "REMOVETEMP",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              }
            },
            "sortMode" : "REMOTE",
            "hasWFDataItems" : false,
            "enableColFilter" : false,
            "enableCustomized" : true,
            "enableGroup" : false,
            "enablePagingBar" : true,
            "enableRowEdit" : false,
            "enableRowEditOrder" : false,
            "enableRowNew" : false,
            "forceFit" : false,
            "hideHeader" : false,
            "noSort" : false,
            "singleSelect" : false,
            "name" : "grid",
            "modelid" : "385f739a768b73a1e3a307bfeafb80b7",
            "modeltype" : "PSDEGRID"
          }, {
            "codeName" : "Default",
            "controlType" : "SEARCHFORM",
            "defaultLabelWidth" : 130,
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHFORMS/Default.json",
            "logicName" : "默认搜索表单",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlHandler" : {
              "getPSHandlerActions" : [ {
                "actionType" : "FILTERACTION",
                "name" : "load",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "FilterGet"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionType" : "FILTERACTION",
                "name" : "loaddraft",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "FilterGetDraft"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              }, {
                "actionType" : "FILTERACTION",
                "name" : "search",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "FilterSearch"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                }
              } ],
              "enableDEFieldPrivilege" : false,
              "id" : "搜索表单处理器"
            },
            "getPSControlParam" : {
              "autoLoad" : true,
              "showBusyIndicator" : true,
              "id" : "SEARCHFORM"
            },
            "getPSDEFormItems" : [ {
              "id" : "n_testname_like",
              "dataType" : 25,
              "getPSAppDEField" : {
                "name" : "TESTNAME",
                "codeName" : "TESTName"
              }
            }, {
              "id" : "formitem",
              "dataType" : 25
            }, {
              "id" : "formitem1",
              "dataType" : 25
            }, {
              "id" : "formitem2",
              "dataType" : 25
            } ],
            "getPSDEFormPages" : [ {
              "caption" : "常规条件",
              "codeName" : "formpage1",
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMPAGE",
              "name" : "formpage1",
              "getPSDEFormDetails" : [ {
                "caption" : "测试实体名称",
                "codeName" : "n_testname_like",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "n_testname_like",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "TESTNAME",
                  "codeName" : "TESTName"
                },
                "getPSEditor" : {
                  "editorType" : "TEXTBOX",
                  "name" : "n_testname_like"
                },
                "getPSLayoutPos" : {
                  "colLG" : 12,
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "caption" : "条件一",
                "codeName" : "formitem",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "formitem",
                "noPrivDisplayMode" : 1,
                "getPSEditor" : {
                  "editorType" : "TEXTBOX",
                  "name" : "formitem"
                },
                "getPSLayoutPos" : {
                  "colLG" : 12,
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "caption" : "条件二",
                "codeName" : "formitem1",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "formitem1",
                "noPrivDisplayMode" : 1,
                "getPSEditor" : {
                  "editorType" : "TEXTBOX",
                  "name" : "formitem1"
                },
                "getPSLayoutPos" : {
                  "colLG" : 12,
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "caption" : "条件三",
                "codeName" : "formitem2",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "formitem2",
                "noPrivDisplayMode" : 1,
                "getPSEditor" : {
                  "editorType" : "TEXTBOX",
                  "name" : "formitem2"
                },
                "getPSLayoutPos" : {
                  "colLG" : 12,
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "showCaption" : true
              } ],
              "getPSLayout" : {
                "childColLG" : -1,
                "childColMD" : 24,
                "childColSM" : -1,
                "childColXS" : -1,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "infoGroupMode" : false
            } ],
            "getPSLayout" : {
              "childColLG" : -1,
              "childColMD" : 24,
              "childColSM" : -1,
              "childColXS" : -1,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "searchButtonStyle" : "DEFAULT",
            "tabHeaderPos" : "TOP",
            "enableAdvanceSearch" : false,
            "enableAutoSearch" : false,
            "enableFilterSave" : false,
            "noTabHeader" : true,
            "name" : "searchform",
            "modelid" : "00eb0969f8c08fcc8321a6d60dcb7ae3",
            "modeltype" : "PSDEFORM_SEARCHFORM"
          }, {
            "codeName" : "TestSearchBar",
            "controlType" : "SEARCHBAR",
            "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSSEARCHBARS/TestSearchBar.json",
            "logicName" : "测试搜索栏",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "getPSControlParam" : {
              "id" : "SEARCHBAR"
            },
            "quickGroupCount" : -1,
            "quickSearchMode" : 1,
            "quickSearchWidth" : 200,
            "enableFilter" : false,
            "enableGroup" : false,
            "enableQuickSearch" : true,
            "mobileSearchBar" : false,
            "name" : "searchbar",
            "modelid" : "3056FA79-0F25-496A-ACCE-F7671B22683F",
            "modeltype" : "PSSYSSEARCHBAR"
          }, {
            "caption" : "测试实体",
            "codeName" : "GridViewcaptionbar",
            "controlType" : "CAPTIONBAR",
            "name" : "captionbar",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlParam" : { }
          } ],
          "getPSDEViewCodeName" : "GridView",
          "getPSDEViewId" : "60afc41b220f5cb7035439d1522b1575",
          "getPSViewLayoutPanel" : {
            "codeName" : "Layoutpanel",
            "controlStyle" : "APPDEGRIDVIEW",
            "controlType" : "VIEWLAYOUTPANEL",
            "name" : "layoutpanel",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlParam" : { },
            "layoutBodyOnly" : true,
            "layoutPanel" : true,
            "useDefaultLayout" : true
          },
          "tempMode" : 2,
          "title" : "测试实体表格视图",
          "viewStyle" : "DEFAULT",
          "viewType" : "DEGRIDVIEW",
          "xDataControlName" : "grid",
          "enableDP" : true,
          "enableExport" : true,
          "enableFilter" : true,
          "enableImport" : true,
          "enableQuickSearch" : true,
          "enableRowEdit" : false,
          "enableSearch" : true,
          "expandSearchForm" : true,
          "rowEditDefault" : false,
          "showCaptionBar" : false,
          "modelid" : "4f35a2934475dcbf6e4312dec4dd6bbe",
          "modeltype" : "PSAPPDEVIEW"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "parentDataJO" : {
          "srfparentdename" : "TEST",
          "SRFPARENTTYPE" : "CUSTOM"
        },
        "needSave" : false,
        "refreshItemsSetParamOnly" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    }, {
      "caption" : "分页2",
      "codeName" : "formpage2",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage2",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "caption" : "分组二",
        "codeName" : "group2",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "name" : "group2",
        "getPSDEFormDetails" : [ {
          "caption" : "更新人",
          "codeName" : "updateman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updateman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updateman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "caption" : "更新时间",
          "codeName" : "updatedate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "itemWidth" : 230.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "updatedate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD"
            },
            "editorType" : "DATEPICKEREX_NOTIME",
            "editorWidth" : 100.0,
            "name" : "updatedate"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM",
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "caption" : "建立时间",
          "codeName" : "createdate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createdate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createdate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "caption" : "建立人",
          "codeName" : "createman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "createman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "noTabHeader" : false,
    "name" : "form",
    "modelid" : "81c663b87e269ec6313a4590835229af",
    "modeltype" : "PSDEFORM_EDITFORM"
  }, {
    "codeName" : "EditView_drawerdatainfobar",
    "controlType" : "DATAINFOBAR",
    "name" : "datainfobar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "datainfobar"
    }
  }, {
    "caption" : "测试实体",
    "codeName" : "EditView_drawercaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "EditView_drawer",
  "getPSDEViewId" : "F34C4E4E-1455-4F58-AF7A-9273AA3B5EFD",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEEDITVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "测试实体编辑视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "width" : 1000,
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "a56fc8e37207b04805a2c677f876611f",
  "modeltype" : "PSAPPDEVIEW"
}